Debian Bug report logs - #693352
tar: FTBFS with eglibc-2.16 (due to outdated gnulib)

version graph

Package: tar; Maintainer for tar is Bdale Garbee <bdale@gag.com>; Source for tar is src:tar.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 15 Nov 2012 18:45:02 UTC

Severity: normal

Tags: experimental, patch, upstream

Found in version tar/1.26-4

Fixed in version tar/1.26+dfsg-5

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#693352; Package tar. (Thu, 15 Nov 2012 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Thu, 15 Nov 2012 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tar: FTBFS with eglibc-2.16 (due to outdated gnulib)
Date: Thu, 15 Nov 2012 18:40:06 +0000
[Message part 1 (text/plain, inline)]
Package: tar
Version: 1.26-4
Severity: serious
Tags: upstream experimental patch
Justification: fails to build from source

tar does not build against eglibc-2.16 due to gets having been removed
but embedded gnulib in package still referring to it.

Upstream bug links are in the patch. 

This patch makes it work by #ifdefing the offending line but the proper 
fix is a new upstream release using a newer gnulib.

This patch allows eglibc 2.16 to be uploaded and for the arm64 port to
proceed.

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[tar-1.26-4-eglibc-2.16-ftbfs.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#693352; Package tar. (Thu, 15 Nov 2012 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Thu, 15 Nov 2012 18:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 693352@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Wookey <wookey@wookware.org>, 693352@bugs.debian.org
Subject: Re: Bug#693352: tar: FTBFS with eglibc-2.16 (due to outdated gnulib)
Date: Thu, 15 Nov 2012 19:52:24 +0100
[Message part 1 (text/plain, inline)]
Control: severity -1 normal

On Thu, Nov 15, 2012 at 18:40:06 +0000, Wookey wrote:

> Package: tar
> Version: 1.26-4
> Severity: serious
> Tags: upstream experimental patch
> Justification: fails to build from source
> 
> tar does not build against eglibc-2.16 due to gets having been removed
> but embedded gnulib in package still referring to it.
> 
Until glibc 2.16 is in sid, this is not a serious bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to 693352-submit@bugs.debian.org. (Thu, 15 Nov 2012 18:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#693352; Package tar. (Fri, 16 Nov 2012 02:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Fri, 16 Nov 2012 02:57:06 GMT) Full text and rfc822 format available.

Message #17 received at 693352@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 693352@bugs.debian.org
Subject: Re: Bug#693352: Acknowledgement (tar: FTBFS with eglibc-2.16 (due to outdated gnulib))
Date: Fri, 16 Nov 2012 02:54:34 +0000
[Message part 1 (text/plain, inline)]
+++ Debian Bug Tracking System [2012-11-15 18:45 +0000]:

Config.{guess,sub} changes accidentally got into the first patch. 

Here's a clean one. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[tar-1.26-4-eglibc-2.16-ftbfs-2.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693352; Package tar. (Wed, 28 Nov 2012 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. (Wed, 28 Nov 2012 08:57:06 GMT) Full text and rfc822 format available.

Message #22 received at 693352@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Wookey <wookey@wookware.org>, 693352@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#693352: Acknowledgement (tar: FTBFS with eglibc-2.16 (due to outdated gnulib))
Date: Tue, 27 Nov 2012 14:04:46 -0700
[Message part 1 (text/plain, inline)]
tags 693352 +pending
thanks

Wookey <wookey@wookware.org> writes:

> Config.{guess,sub} changes accidentally got into the first patch. 
> Here's a clean one. 

Merged in my repo for the next upload.  Thanks for the patch!

Bdale
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Wed, 28 Nov 2012 08:57:12 GMT) Full text and rfc822 format available.

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. (Mon, 01 Apr 2013 17:06:12 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Mon, 01 Apr 2013 17:06:12 GMT) Full text and rfc822 format available.

Message #29 received at 693352-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 693352-close@bugs.debian.org
Subject: Bug#693352: fixed in tar 1.26+dfsg-5
Date: Mon, 01 Apr 2013 17:02:44 +0000
Source: tar
Source-Version: 1.26+dfsg-5

We believe that the bug you reported is fixed in the latest version of
tar, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693352@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated tar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 01 Apr 2013 09:17:04 -0600
Source: tar
Binary: tar
Architecture: source i386
Version: 1.26+dfsg-5
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 tar        - GNU version of the tar archiving utility
Closes: 492036 681302 693352 701419
Changes: 
 tar (1.26+dfsg-5) unstable; urgency=low
 .
   [ Wookey ]
   * Fix included gnulib so we don't get FTBFS with eglibc-2.16,
     closes: #693352, #701419
 .
   [ Bdale Garbee ]
   * update mailcap entries to use %s, closes: #681302
   * include the http://www.gnu.org/software/tar/utils/tarcat script for use
     with multi-volume archives, closes: #492036
Checksums-Sha1: 
 6ec32bcc8444dd94c75a561bafc0b15a07a79a42 1796 tar_1.26+dfsg-5.dsc
 1dc7da0afee192233c12945a80b594eef6210f3a 34231 tar_1.26+dfsg-5.debian.tar.gz
 2ddd968d66520a81a881bdb7d7afe347a8ba844f 985980 tar_1.26+dfsg-5_i386.deb
Checksums-Sha256: 
 7e5b09b610c0b1d81d6d32beb6cc44bb0e177012eea35c07e5e6c5834f728a50 1796 tar_1.26+dfsg-5.dsc
 6544b261674bd774382e7f2aec6e64a45830a1ce3d7d5be9a8f3de8a952994f6 34231 tar_1.26+dfsg-5.debian.tar.gz
 a2bdac3fc1b9924767790631949a8c6c88e8e2087b5f77fb697b950c24b7ac76 985980 tar_1.26+dfsg-5_i386.deb
Files: 
 bda012c68ac7fa36c4d51a46e8094e95 1796 utils required tar_1.26+dfsg-5.dsc
 3aaf454f91cb20e91724bd1e1301d23c 34231 utils required tar_1.26+dfsg-5.debian.tar.gz
 da4d2336ba0e0417e096957d4cc22c51 985980 utils required tar_1.26+dfsg-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUVm8CjqTYZbAldlBAQoqBQ//QRGTQUwopISUjSeKG0Zcm/VjZM8KckuH
h3nQRCDZVqyCpGCexQD2Aw2Do2T6BfAbzjHAYw6Qn7aV45/XAEV5vvF44pfAUlje
A/YRFvr/ycyZZtpyI/jr2wlap2ZMjGnvG29NTSkYZRrA5RWCEWp4gd+3WVoS8Ykz
xwl8/XoyTEt0uOZW9+/9I9CetVLwb66jOqODL9QBXMUPDfSbRjgzxg97SoRhpPew
8kPO8RTQW+0VnAHRWj9bnKEZmEP/Bkk3+jh1fR96fv42IEZv73/KOIrxFP7AG761
V1ZD/uANPsXisZral813qmPns4ycKjJvdFWBGtIXEESnEOFNPNpFUrd5TKpuOBPI
JwkdiFQtQy2G/8jnEUruoONxDPhIpGKiXWs1FPZsQaatE24pdWTlI2S//qwmY1gb
UTaedQex9ZExpgfSyY58TE2bDlo/fIdRdU4nNNWPMfu1j3gHi9/GgEYQW07S2Vlb
EYFs/UCoEWR92BDH5jUiwrDC7BW88Hg23D0vhU78cQcWOctHyn6vj21KO/mw+5Uz
7V0+pyOKhWC1qd+uNmbs+/2ZJH8MzmGvnOXKDZW/3+kTtsNAlynyw9SgIGFmYxRb
OuxBKC0H5+gU4fjHLE5BC47nkLQwIjLbBgcr0vqWMXK0pWPvKk78RX9Ql2qfQXX/
GfEOpy/07Mg=
=o7Jg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Apr 2013 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:32:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.